#
# spec file for package python-random2
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-random2
Version:        1.0.1
Release:        8.6
Summary:        A Session and Caching library with WSGI Middleware
License:        Python-2.0
URL:            https://pypi.python.org/pypi/random2
Source:         https://files.pythonhosted.org/packages/source/r/random2/random2-%{version}.zip
# PATCH-FIX-UPSTREAM -- python3.9.patch Origin: Debian
Patch0:         python3.9.patch
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildArch:      noarch
%python_subpackages

%description
This package provides a Python 3 ported version of Python 2.7's random module.
It has also been back-ported to work in Python 2.6.

In Python 3, the implementation of randrange() was changed, so that even with
the same seed you get different sequences in Python 2 and 3. Note that several
high-level functions such as randint() and choice() use randrange().

In my testing code I heavily rely on stable random generator results and it
makes porting code to Python 3 a lot harder, if all those tests have to be
adjusted. This package fixes that.

%prep
%autosetup -p1 -n random2-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# see tests.test_suite
classes='WichmannHill_TestBasicOps or MersenneTwister_TestBasicOps or TestDistributions or TestModule'
%pytest -k "$classes" src/tests.py

%files %{python_files}
%doc CHANGES.txt README.txt PKG-INFO
%{python_sitelib}/*

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Wed Nov  3 2021 pgajdos@suse.com
- %%check: use %%pytest rpm macro
* Sat Apr 17 2021 Christophe Giboudeaux <christophe@krop.fr>
- Add patch from Debian to fix build with python 3.9:
  * python3.9.patch
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Wed Jun 28 2017 aloisio@gmx.com
- Converted to single-spec
* Tue Aug  6 2013 hpj@urpla.net
- version 1.0.1: initial build
